import request from '@/utils/request'

// 查询食材入库列表
export function listScrk(query) {
  return request({
    url: '/canteen/scrk/list',
    method: 'get',
    params: query
  })
}

// 查询食材入库详细
export function getScrk(recordId) {
  return request({
    url: '/canteen/scrk/' + recordId,
    method: 'get'
  })
}

// 新增食材入库
export function addScrk(data) {
  return request({
    url: '/canteen/scrk',
    method: 'post',
    data: data
  })
}

// 修改食材入库
export function updateScrk(data) {
  return request({
    url: '/canteen/scrk',
    method: 'put',
    data: data
  })
}

// 删除食材入库
export function delScrk(recordId) {
  return request({
    url: '/canteen/scrk/' + recordId,
    method: 'delete'
  })
}

// 导出食材入库
export function exportScrk(query) {
  return request({
    url: '/canteen/scrk/export',
    method: 'get',
    params: query
  })
}

export function getScList(query) {
  return request({
    url: 'canteen/scrk/getScList',
    method: 'get',
    params: query
  })
}
